%{!?__python2:        %define __python2 /usr/bin/python2.6}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define __os_install_post %{__multiple_python_os_install_post}
%define __python_provides %{__multiple_python_provides}
%define __python_requires %{__multiple_python_requires}

%define modn   pycrypto
%define modv   2.6.1


Summary:       The Python Cryptography Toolkit
Name:          python26-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       PD
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/p/%{modn}/%{modn}-%{modv}.tar.gz
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Dwayne C. Litzenberger <dlitz@dlitz.net>
Provides:      python-crypto = %{version}-%{release}
Provides:      python(%{modn}) = %{modv}
Provides:      python(Crypto) = %{modv}
Provides:      python(Crypto.Cipher) = %{modv}
Provides:      python(Crypto.Hash) = %{modv}
Provides:      python(Crypto.Protocol) = %{modv}
Provides:      python(Crypto.PublicKey) = %{modv}
Provides:      python(Crypto.Random) = %{modv}
Provides:      python(Crypto.Random.Fortuna) = %{modv}
Provides:      python(Crypto.Random.OSRNG) = %{modv}
Provides:      python(Crypto.SelfTest) = %{modv}
Provides:      python(Crypto.SelfTest.Cipher) = %{modv}
Provides:      python(Crypto.SelfTest.Hash) = %{modv}
Provides:      python(Crypto.SelfTest.Protocol) = %{modv}
Provides:      python(Crypto.SelfTest.PublicKey) = %{modv}
Provides:      python(Crypto.SelfTest.Random) = %{modv}
Provides:      python(Crypto.SelfTest.Random.Fortuna) = %{modv}
Provides:      python(Crypto.SelfTest.Random.OSRNG) = %{modv}
Provides:      python(Crypto.SelfTest.Signature) = %{modv}
Provides:      python(Crypto.SelfTest.Util) = %{modv}
Provides:      python(Crypto.Signature) = %{modv}
Provides:      python(Crypto.Util) = %{modv}
BuildRequires: python26-devel python26-setuptools
BuildRequires: gmp-devel


%description
PyCrypto is a collection of secure hash functions and various encryption
algorithms, implemented for use in Python.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
%{__python2} setup.py test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ACKS COPYRIGHT ChangeLog README TODO
%doc LEGAL/copy/LICENSE* Doc/*.rst
%{python2_sitearch}/Crypto
%{python2_sitearch}/*.egg-info


%changelog
* Wed Feb 11 2015 Peter Pramberger <peterpramb@member.fsf.org> - 2.6.1-1
- Initial build
